View unanswered posts    View active topics

All times are UTC - 6 hours





Post new topic Reply to topic  [ 15 posts ] 
Print view Previous topic   Next topic  
Author Message
Search for:
 Post subject: Google Chrome
PostPosted: Sat Mar 30, 2013 6:17 am 
Offline
Joined: Thu Sep 27, 2007 5:44 pm
Posts: 580
I've noticed that the only way to get versions of flash player above 11.2 (last updated approx 1 year ago) is to install Google Chrome, which has flash player integrated. I was able to build it from the AUR repositories (v26.0.1410.43-1) with flash player 11.6. I was unable to find one of the dependencies (ttf-font) so I just made a dummy package for that. After I installed chrome I deleted the package I had built, but I wanted to check if anybody else had any interest in it because I could rebuild it fairly quickly and easily or give instructions on the steps I followed. As far as I'm aware, chromium does not get packaged with the flash player... Oh, and I am using R7.4.


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Sat Mar 30, 2013 8:22 am 
Offline
Joined: Wed Dec 10, 2003 8:31 pm
Posts: 1996
Location: /dev/null
Dunno about LH, but on Arch chromium-pepper-flash is the preferred flashplayer from chrome-based browser, not flashplugin from [extra].

_________________
Retired KM user (R4 - R6.04); friend to LH users.


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Sat Mar 30, 2013 1:11 pm 
Offline
Joined: Sun Sep 05, 2004 7:06 pm
Posts: 690
R7.4 box has flash and it works

Chromium Version is 17.0.963.56
Flash Player Version 11.1.102.62

R8 64bit frontemd does not have the chromium-pepper-flash installed, but it should :( thanks Graysky
Chromium Version is 23

here is more on the topic

http://www.webupd8.org/2012/09/how-to-m ... layer.html


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Sun Apr 14, 2013 8:42 am 
Offline
Joined: Thu Mar 25, 2004 11:00 am
Posts: 9551
Location: Arlington, MA
I'm currently using Firefox 20.0 and flash player 11.2.202.280 myself, both of which were the most current as of a few days ago.

During my long run with LinHES 6.04 I got into the habit of manually installing and upgrading the browser and flash and it has carried over to 7.4. On a couple occasions I've thought about scripting it or creating my own custom PKGBUILD file but there have always been about 3 higher priorities screaming for my attention.

- Download the files, for me this usually involves using the in browser version checks, (help -> about firefox -> check version -> ... & tools -> add-ons -> plugins -> check to see if your plugins are uptodate -> ...) select the "tar.gz for other linux" and the files end up in /home/mythtv

- As root unpack the firefox tar ball in /usr/local/lib and rename the directory to match the tar ball. The last step makes upgrades safer and easier.
Code:
cd /usr/local/lib
tar xvf ~mythtv/firefox-20.0.tar.bz2
mv firefox firefox-20.0

cd /usr/bin
rm firefox
ln -s /usr/local/lib/firefox-20.0/firefox firefox


- Now for the flashplayer:
Code:
cd /tmp
tar xvf ~mythtv/install_flash_player_11_linux.i386.tar.gz
chown -R root:root ./usr libflashplayer.so
chmod -R go-w ./usr libflashplayer.so
mv libflashplayer.so /usr/lib/mozilla/plugins
cp -r ./usr/* /usr
rm -rf /tmp/readme.txt /tmp/usr


- One final item is to archive the files in my backup directory. For this I usually rename the flash player bundle to include the full version number.
Code:
cd /myth/backup
mv ~mythtv/firefox-20.0.tar.bz2 .
mv ~mythtv/install_flash_player_11_linux.i386.tar.gz ./install_flash_player_11.2.202.280_linux_i386.tar.gz
chown root:root firefox-20.0.tar.bz2 install_flash_player_11.2.202.280_linux_i386.tar.gz
chmod go-w firefox-20.0.tar.bz2 install_flash_player_11.2.202.280_linux_i386.tar.gz


With practice (and command history) you can do this in less time than it takes to describe with one hand while eating dinner. ;-)


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Sun Apr 14, 2013 5:09 pm 
Offline
Joined: Thu Sep 27, 2007 5:44 pm
Posts: 580
tjc wrote:
I'm currently using Firefox 20.0 and flash player 11.2.202.280 myself, both of which were the most current as of a few days ago.


The most current version of flash is actually 11.7.700.169, however, it is only package with Chrome (for linux at least). They have discontinued the standalone flashplayer for linux. The flashplayer included with chrome can be made to work with other browsers, as Grasyky mentioned ("flash pepper").

Everyone has there own preferences, I was just offering one option, which is the latest version of flash in chrome.


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Tue Apr 16, 2013 8:02 pm 
Offline
Joined: Thu Mar 25, 2004 11:00 am
Posts: 9551
Location: Arlington, MA
Well most current readily available for Linux anyway. ;-)

A recipe to install chromium-pepper-flash for LinHES would be cool...

On that front, I actually DID write scripts to install firefox and flash-player from the tar balls... In the truest spirit of engineering, "it annoyed me, so I fixed it." Don't forget to edit the EXTRAS value to wherever you archive stuff like this. These try pretty hard to fail safely and with good diagnostics, but don't annoy yourself needlessly.

Code:
[root@black3 ~]# cat install_firefox.sh
#!/bin/bash

DOWNLOAD_DIR="/home/mythtv"
EXTRAS="/myth/backup/ExtraFiles"
VERSION="$1"
VERSION_FILE="firefox-$VERSION.tar.bz2"
DOWNLOAD_FILE="$DOWNLOAD_DIR/$VERSION_FILE"
VERSION_DIR="firefox-$VERSION"

fatal () { # Report an error and exit with a failure code
    echo 1>&2 "$*"
    exit 1
}

[ $(/usr/bin/id -u) -ne 0 ] &&
    fatal "You must run this script as root!"

[ -z "$VERSION" ] &&
    fatal "You must provide the firefox version!"

[ -f "$DOWNLOAD_FILE" ] ||
    fatal "Can't find the tar ball! '$DOWNLOAD_FILE'"

# Move the tar ball to our archive/working directory
cd "$EXTRAS" || fatal "Can't cd to '$EXTRAS'"
[ -f "./$VERSION_FILE" ] && fatal "File already exists! '$VERSION_FILE'"
mv "$DOWNLOAD_FILE" "./$VERSION_FILE"
chown root:root "$VERSION_FILE"
chmod go-w,ugo-x "$VERSION_FILE"

# Unpack the tar ball and rename with version
cd /usr/local/lib || fatal "Can't cd to '/usr/local/lib'"
[ -d "$VERSION_DIR" ] && fatal "Directory already exists! '$VERSION_DIR'"
tar xvf "$EXTRAS/$VERSION_FILE"
mv firefox "$VERSION_DIR"

# Install the executable
cd /usr/bin || fatal "Can't cd to '/usr/bin'"
rm firefox
ln -s "/usr/local/lib/$VERSION_DIR/firefox" firefox


Code:
[root@black3 ~]# cat install_flash_player.sh
#!/bin/bash

DOWNLOAD_DIR="/home/mythtv"
EXTRAS="/myth/backup/ExtraFiles"
VERSION="$1"
DOWNLOAD_FILE="$DOWNLOAD_DIR/install_flash_player_11_linux.i386.tar.gz"
VERSION_FILE="install_flash_player_${VERSION}_linux_i386.tar.gz"

fatal () { # Report an error and exit with a failure code
    echo 1>&2 "$*"
    exit 1
}

[ $(/usr/bin/id -u) -ne 0 ] &&
    fatal "You must run this script as root!"

[ -f "$DOWNLOAD_FILE" ] ||
    fatal "Can't find the tar ball! '$DOWNLOAD_FILE'"

[ -z "$VERSION" ] && {
    # This may be a useful hint, but I don't really trust it...
    tar xf "$DOWNLOAD_FILE" readme.txt --to-command='grep Version'
    fatal "You must provide the flash player version!"
}

# Move the tar ball to our archive/working directory
cd "$EXTRAS" || fatal "Can't cd to '$EXTRAS'"
[ -f "./$VERSION_FILE" ] && fatal "File already exists! '$VERSION_FILE'"
mv "$DOWNLOAD_FILE" "./$VERSION_FILE"
chown root:root "$VERSION_FILE"
chmod go-w,ugo-x "$VERSION_FILE"

# Unpack the tar ball and fix ownership and permissions
tar xvf "$VERSION_FILE"
chown -R root:root ./usr libflashplayer.so
chmod -R go-w ./usr libflashplayer.so

# Install the files
mv libflashplayer.so /usr/lib/mozilla/plugins
cp -r ./usr/* /usr

# Cleanup temporary files
rm -rf ./readme.txt ./usr


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Tue Apr 16, 2013 8:59 pm 
Offline
Joined: Tue Aug 15, 2006 11:14 am
Posts: 1343
Location: Orlando FL
I successfully installed Google-Chrome two days ago I was typing notes for a how-to in firefox and then they disappeared (a conspiracy I think :-)
OK first things first: I'm not a Linux expert, I probably did this the wrong way, please don't blame me if your system gets screwed up.
Second things second: There are some differences between Google-Chrome and Chromium the important one for us is Flash support and here are the others http://code.google.com/p/chromium/wiki/ ... ogleChrome

Ok to the best of my memory
I downloaded the Arch Package from here https://aur.archlinux.org/packages/go/g ... ome.tar.gz
I know LinHES isn't Arch and installing packages from Arch is a quick way to screw up your system.
I unpacked it
Code:
tar xvf google-chrome.tar.gz

I opened the directory
I found a file called PKGBUILD
I did a google search on makepkg learned how to use it. Then I found out makepkg needs fakeroot to run. So I installed it.
I got an error saying that google-chrome has a dependency of
Code:
ttf-font
that isn't in the repo.
I did some digging it is called
Code:
ttf-freefont
in the LinHES repo.
So I ttf-font to ttf-freefont in the PKGBUILD
I ran makepkg -s (lower case -s not -S) to make an installer.
To install it I did a
Code:
sudo pacman -U google-chrome-26.0.1410.63-1-i686.pkg.tar.xz
(your chrome version will probably vary)
That makes an executible called
Code:
google-chrome

Please anyone tell me where I can make this better.

_________________
My System


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Wed Apr 17, 2013 5:57 am 
Offline
Joined: Thu Mar 25, 2004 11:00 am
Posts: 9551
Location: Arlington, MA
mattbatt wrote:
I know LinHES isn't Arch and installing packages from Arch is a quick way to screw up your system.

But what you did is to use their PKGBUILD as a starting point for a custom LinHES pacakage, which is the right way to do it. Well done! :D


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Wed Apr 17, 2013 10:37 am 
Offline
Joined: Sun Sep 05, 2004 7:06 pm
Posts: 690
It would super if someone could kindly open up a ticket to get chromium-pepper-flash into the chromium .23 package that's in R8...


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Wed Apr 17, 2013 6:19 pm 
Offline
Joined: Tue Aug 15, 2006 11:14 am
Posts: 1343
Location: Orlando FL
We know that Google automatically updates Google-Chrome and will for the foreseeable future keep flash updated for their Chrome books. I think having google-chrome would be better than the end around with pepper. Granted I'm still having trouble getting Google-Chrome to open magnet links in Vuze. Firefox is still easier for me to use.

_________________
My System


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Sat May 18, 2013 8:03 am 
Offline
Joined: Thu Mar 25, 2004 11:00 am
Posts: 9551
Location: Arlington, MA
nethomike01 wrote:
I personally like to use Firefox because It have many useful options as like Firefox extensions plugins

Security plugins are high on my list for sticking with Firefox. Things like Cookie Monster, Better Privacy, No Script,Form History Control and a couple others, really make a difference.


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Sun Jun 23, 2013 4:09 pm 
Offline
Joined: Sun Sep 05, 2004 7:06 pm
Posts: 690
On my test box R8.02 I'm currently testing,
Google-Chrome with Flash 11.7.700.203

Dependencies are
nspr-4.9.6-1-x86_64
nss-3.14.3-3-x86_64
ttf-freefont-20120503-2

Also testing
Firefox 21.0-1-x86_64

Dependencies are
nspr-4.9.6-1-x86_64.pkg.tar.xz
nss-3.14.3-3-x86_64
startup-notification-0.12-3-x86_64
ulrunner-21.0-1-x86_64
libpng-1.6.2-3-x86_64
xvf sqlite-3.7.17-1-x86_64

Also testing
Adobe Flash 11.2.202.291 Firefox 21 Plugin
Quote:
Cookie Monster, Better Privacy, No Script,Form History Control
are all available as Add-ons with Firefox 21. And on 6/15 I opened up tickets for R8 to get flash going....


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Sun Jun 23, 2013 8:24 pm 
Offline
Joined: Tue Aug 15, 2006 11:14 am
Posts: 1343
Location: Orlando FL
where is the "Adobe Flash for firefox 21" coming from? Is that in the R8 Repositories?

_________________
My System


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Mon Jun 24, 2013 9:10 am 
Offline
Joined: Mon Apr 10, 2006 3:48 pm
Posts: 997
Location: Lexington, Ky
There is a flash plugin in the R8 extra repos

flashplugin-11.2.202.236-1-x86_64.pkg.tar.xz


Top
 Profile  
 
 Post subject: Re: Google Chrome
PostPosted: Mon Jun 24, 2013 11:28 am 
Offline
Joined: Sun Sep 05, 2004 7:06 pm
Posts: 690
Thank you for pointing that out now Chromium works with Flash :D


Top
 Profile  
 

Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 15 posts ] 


All times are UTC - 6 hours




Who is online

Users browsing this forum: No registered users and 46 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group

Theme Created By ceyhansuyu